body {
    background-color: #000;
    color: #fff;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}

header {
    text-align: center;
    margin-bottom: 40px;
}

h1 {
    font-size: 2.5em;
}

h2 {
    font-size: 1.5em;
}

h3 {
    font-size: 1.1em;
    margin-bottom: 10px;
}

code {
    color: #ffa500;
}

.intro {
    margin-bottom: 40px;
}

a {
    color: #ff0000;
}

.buttons {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
    text-align: center;
}

.btn {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    text-decoration: none;
    font-size: 1.2em;
    border-radius: 5px;
    transition: background-color 0.3s;
}

.btn:hover {
    background-color: #555;
}


/*  Additional pages */

.analysis {
    margin-bottom: 40px;
}

.analysis p {
    margin-bottom: 20px;
}

.code {
    padding: 15px;
    border-radius: 5px;
    font-family: 'Courier New', Courier, monospace;
    white-space: pre-wrap;
    margin-bottom: 20px;
}

.analysis img blanche {
    max-width: 100%;
    height: auto;
    border-radius: 5px;
}

.code-image-container {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    flex-wrap: wrap;

}


.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    padding-top: 60px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.9);
}

.modal-content {
    display: block;
    margin: auto;
    max-width: 90%;
    max-height: 80vh;
}

.close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

.close:hover,
.close:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


/* Ensure code and image are side by side on all screens */
.code-image-container .code,
.code-image-container img {
    flex: 1;
    min-width: 0;
}

/* Responsive Design */
@media (max-width: 768px) {
    .buttons {
        flex-direction: column;
        align-items: center;
    }

    .btn {
        width: 100%;
        text-align: center;
    }

    /* Keep code and image side by side even on mobile */
    .code-image-container {
        flex-direction: row;
    }

    .code-image-container .code,
    .code-image-container img {
        flex: 1;
        max-width: 50%;
    }
}

@media (min-width: 769px) {
    .code-image-container {
        flex-direction: row;
    }

    .code-image-container .code,
    .code-image-container img {
        flex: 1;
        max-width: 50%;
    }
}